This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 215414 - Inserting USB stick brings up usb AND cdrom icons
Inserting USB stick brings up usb AND cdrom icons
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-11-13 15:58 EST by Sammy
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 21:33:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2006-11-13 15:58:58 EST
Description of problem:

When I insert my USB stick I get two desktop icons pop up. One is the
correct USB Flash icon while the other one is a CDROM icon. I did not
have this with FC5. Look at the properties I see that the disk is
mounted under /media/disk and node is /dev/sdc1. On the other hand
properties of the CDROM icon show location as /(media) and node as
/dev/scd0. The /var/log/messages show:

=============================================
Nov 13 14:51:10 compsci kernel: usb 5-8: new high speed USB device using
ehci_hcd and address 7
Nov 13 14:51:10 compsci kernel: usb 5-8: configuration #1 chosen from 1 choice
Nov 13 14:51:10 compsci kernel: scsi5 : SCSI emulation for USB Mass Storage devices
Nov 13 14:51:15 compsci kernel:   Vendor: SanDisk   Model: U3 Cruzer Micro  
Rev: 2.17
Nov 13 14:51:15 compsci kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 02
Nov 13 14:51:15 compsci kernel: SCSI device sdc: 4001425 512-byte hdwr sectors
(2049 MB)
Nov 13 14:51:15 compsci kernel: sdc: Write Protect is off
Nov 13 14:51:15 compsci kernel: sdc: assuming drive cache: write through
Nov 13 14:51:15 compsci kernel: SCSI device sdc: 4001425 512-byte hdwr sectors
(2049 MB)
Nov 13 14:51:15 compsci kernel: sdc: Write Protect is off
Nov 13 14:51:15 compsci kernel: sdc: assuming drive cache: write through
Nov 13 14:51:15 compsci kernel:  sdc: sdc1
Nov 13 14:51:15 compsci kernel: sd 5:0:0:0: Attached scsi removable disk sdc
Nov 13 14:51:15 compsci kernel: sd 5:0:0:0: Attached scsi generic sg2 type 0
Nov 13 14:51:15 compsci kernel:   Vendor: SanDisk   Model: U3 Cruzer Micro  
Rev: 2.17
Nov 13 14:51:15 compsci kernel:   Type:   CD-ROM                            
ANSI SCSI revision: 02
Nov 13 14:51:15 compsci kernel: sr0: scsi3-mmc drive: 8x/40x writer xa/form2
cdda tray
Nov 13 14:51:15 compsci kernel: sr 5:0:0:1: Attached scsi generic sg3 type 5
Nov 13 14:51:15 compsci kernel: cdrom: This disc doesn't have any tracks I
recognize!
Nov 13 14:51:15 compsci kernel: cdrom: This disc doesn't have any tracks I
recognize!
Nov 13 14:51:18 compsci hald: mounted /dev/sdc1 on behalf of uid 500
==============================================================

Version-Release number of selected component (if applicable):

FC6 + all updates, kernel 2.6.18-1.2849.fc6, KDE

How reproducible:

Always

Steps to Reproduce:
1. Login
2. Insert a flash drive
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Zeuthen 2006-11-13 16:17:28 EST
This is just how the device works so the vendor can Autorun programs on Windows
that installs the right driver software or some other "value add" IIRC (search
the Interweb for details). See bug 208521 for details.

Reassigning to kernel to make them add quirks to the USB storage driver to hide
the optical drive LUN for this specific device.

(In the same vein, let me mention that it would be nice if user space (e.g. HAL)
could inject such quirks in the kernel - having quirks in the kernel source,
such as drivers/usb/storage/unusual_devs.h, is just not very good for turn
around times etc. especially in the light of things like hal-info [1] landing in
the distro soon.)

[1] : http://hughsient.livejournal.com/6702.html
Comment 2 David Zeuthen 2006-11-13 16:17:59 EST
(Forgot to reassign to owner - please see comment 1)
Comment 3 Tom Georgoulias 2007-02-19 20:26:51 EST
I am experiencing the same behavior too.  1 GB sSandisk cruzer USB key chain on FC6.

kernel-2.6.19-1.2911.fc6
gnome-mount-0.5-2.fc6
hal-0.5.8.1-6.fc6

syslog output:
Feb 19 20:17:59 slacker kernel: usb 5-6: new high speed USB device using
ehci_hcd and address 6
Feb 19 20:17:59 slacker kernel: usb 5-6: configuration #1 chosen from 1 choice
Feb 19 20:17:59 slacker kernel: scsi7 : SCSI emulation for USB Mass Storage devices
Feb 19 20:18:04 slacker kernel: scsi 7:0:0:0: Direct-Access     SanDisk  U3
Cruzer Micro  3.21 PQ: 0 ANSI: 2
Feb 19 20:18:04 slacker kernel: SCSI device sdg: 1994385 512-byte hdwr sectors
(1021 MB)
Feb 19 20:18:04 slacker kernel: sdg: Write Protect is off
Feb 19 20:18:04 slacker kernel: sdg: assuming drive cache: write through
Feb 19 20:18:04 slacker kernel: SCSI device sdg: 1994385 512-byte hdwr sectors
(1021 MB)
Feb 19 20:18:04 slacker kernel: sdg: Write Protect is off
Feb 19 20:18:04 slacker kernel: sdg: assuming drive cache: write through
Feb 19 20:18:04 slacker kernel:  sdg: sdg1
Feb 19 20:18:04 slacker kernel: sd 7:0:0:0: Attached scsi removable disk sdg
Feb 19 20:18:04 slacker kernel: sd 7:0:0:0: Attached scsi generic sg6 type 0
Feb 19 20:18:04 slacker kernel: scsi 7:0:0:1: CD-ROM            SanDisk  U3
Cruzer Micro  3.21 PQ: 0 ANSI: 2
Feb 19 20:18:04 slacker kernel: scsi 7:0:0:1: Attached scsi generic sg7 type 5
Feb 19 20:18:04 slacker kernel: sr0: scsi3-mmc drive: 8x/40x writer xa/form2
cdda tray
Feb 19 20:18:05 slacker kernel: cdrom: This disc doesn't have any tracks I
recognize!
Feb 19 20:18:05 slacker kernel: SELinux: initialized (dev sdg1, type vfat), uses
genfs_contexts
Feb 19 20:18:05 slacker hald: mounted /dev/sdg1 on behalf of uid 500
Comment 4 Jon Stanley 2008-01-07 20:51:01 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 5 Tom Georgoulias 2008-01-07 21:27:26 EST
It is no longer an issue for me on Fedora 8 (all errata applied).

Note You need to log in before you can comment on or make changes to this bug.